Bug 93199

Summary: REGRESSION (r124489): Crash in FrameView::scrollContentsFastPath when scrolling Facebook and Google image search
Product: WebKit Reporter: Matt Arsenault <arsenm2>
Component: Layout and RenderingAssignee: Beth Dakin <bdakin>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, bdakin, jamesr, jimoase, kevin, paul+bugs, simon.fraser, thorton, tonikitoo, webkit-bug-importer, webkit.review.bot
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: OS X 10.8   
Attachments:
Description Flags
Patch andersca: review+

Description Matt Arsenault 2012-08-05 03:10:23 PDT
r124698 nightly build


Process:         WebProcess [93336]
Path:            /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
Identifier:      com.apple.WebProcess
Version:         537+ (537.4+)
Code Type:       X86-64 (Native)
Parent Process:  ??? [1]
User ID:         501

Date/Time:       2012-08-04 21:53:05.843 -0700
OS Version:      Mac OS X 10.8 (12A269)
Report Version:  10

Interval Since Last Report:          565602 sec
Crashes Since Last Report:           264
Per-App Crashes Since Last Report:   1
Anonymous UUID:                      3183F651-3AC1-40DC-B621-51660A642F5F

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000058

VM Regions Near 0x58:
--> 
   __TEXT                 0000000100f83000-0000000100f84000 [    4K] r-x/rwx SM=COW /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess

Application Specific Information:
Bundle controller class:
BrowserBundleController


Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.WebCore             	0x0000000101a322f7 WebCore::FrameView::scrollContentsFastPath(WebCore::IntSize const&, WebCore::IntRect const&, WebCore::IntRect const&) + 327
1   com.apple.WebCore             	0x00000001021304fc WebCore::ScrollView::scrollContents(WebCore::IntSize const&) + 364
2   com.apple.WebCore             	0x0000000102130375 WebCore::ScrollView::scrollTo(WebCore::IntSize const&) + 101
3   com.apple.WebCore             	0x0000000101a34a2c WebCore::FrameView::scrollTo(WebCore::IntSize const&) + 44
4   com.apple.WebCore             	0x00000001021302e4 WebCore::ScrollView::setScrollOffset(WebCore::IntPoint const&) + 180
5   com.apple.WebCore             	0x00000001021208f0 WebCore::ScrollableArea::scrollPositionChanged(WebCore::IntPoint const&) + 32
6   com.apple.WebCore             	0x000000010212085e WebCore::ScrollableArea::notifyScrollPositionChanged(WebCore::IntPoint const&) + 30
7   com.apple.WebCore             	0x000000010212b3ec WebCore::ScrollingCoordinator::updateMainFrameScrollPositionAndScrollLayerPosition() + 76
8   com.apple.WebCore             	0x000000010212b047 WebCore::ScrollingCoordinator::updateShouldUpdateScrollLayerPositionOnMainThread() + 87
9   com.apple.WebCore             	0x0000000101a31e56 WebCore::FrameView::addFixedObject(WebCore::RenderObject*) + 294
10  com.apple.WebCore             	0x0000000101fe7082 WebCore::RenderBox::styleWillChange(WebCore::StyleDifference, WebCore::RenderStyle const*) + 482
11  com.apple.WebCore             	0x0000000102065cb5 WebCore::RenderObject::setStyle(WTF::PassRefPtr<WebCore::RenderStyle>) + 101
12  com.apple.WebCore             	0x0000000102065ad9 WebCore::RenderObject::setAnimatableStyle(WTF::PassRefPtr<WebCore::RenderStyle>) + 153
13  com.apple.WebCore             	0x0000000101f665b4 WebCore::NodeRendererFactory::createRenderer() + 164
14  com.apple.WebCore             	0x0000000101f66810 WebCore::NodeRendererFactory::createRendererIfNeeded() + 544
15  com.apple.WebCore             	0x0000000101f5dc23 WebCore::Node::createRendererIfNeeded() + 35
16  com.apple.WebCore             	0x00000001019ae067 WebCore::Element::attach() + 39
17  com.apple.WebCore             	0x000000010179493c WebCore::ContainerNode::attach() + 28
18  com.apple.WebCore             	0x00000001019ae223 WebCore::Element::attach() + 483
19  com.apple.WebCore             	0x00000001019aea83 WebCore::Element::recalcStyle(WebCore::Node::StyleChange) + 499
20  com.apple.WebCore             	0x00000001019aeeb2 WebCore::Element::recalcStyle(WebCore::Node::StyleChange) + 1570
21  com.apple.WebCore             	0x00000001019aeeb2 WebCore::Element::recalcStyle(WebCore::Node::StyleChange) + 1570
22  com.apple.WebCore             	0x000000010186e3df WebCore::Document::recalcStyle(WebCore::Node::StyleChange) + 591
23  com.apple.WebCore             	0x000000010186ebdc WebCore::Document::updateStyleIfNeeded() + 76
24  com.apple.WebCore             	0x000000010186ecb7 WebCore::Document::updateLayout() + 55
25  com.apple.WebCore             	0x000000010186ed8b WebCore::Document::updateLayoutIgnorePendingStylesheets() + 123
26  com.apple.WebCore             	0x00000001019ac791 WebCore::Element::getBoundingClientRect() + 49
27  com.apple.WebCore             	0x0000000101cd50cf WebCore::jsElementPrototypeFunctionGetBoundingClientRect(JSC::ExecState*) + 111
28  ???                           	0x0000000103202265 0 + 4347404901
29  com.apple.JavaScriptCore      	0x00000001013eec91 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 913
30  com.apple.JavaScriptCore      	0x0000000101341ff4 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 52
31  com.apple.JavaScriptCore      	0x000000010143d5f5 JSC::boundFunctionCall(JSC::ExecState*) + 405
32  com.apple.JavaScriptCore      	0x00000001013eedb1 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 1201
33  com.apple.JavaScriptCore      	0x0000000101341ff4 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 52
34  com.apple.WebCore             	0x000000010210bc4c WebCore::ScheduledAction::executeFunctionInContext(JSC::JSGlobalObject*, JSC::JSValue, WebCore::ScriptExecutionContext*) + 508
35  com.apple.WebCore             	0x000000010210b85c WebCore::ScheduledAction::execute(WebCore::Document*) + 156
36  com.apple.WebCore             	0x0000000101971356 WebCore::DOMTimer::fired() + 342
37  com.apple.WebCore             	0x00000001022bddd4 WebCore::ThreadTimers::sharedTimerFiredInternal() + 148
38  com.apple.WebCore             	0x0000000102150c23 WebCore::timerFired(__CFRunLoopTimer*, void*) + 51
39  com.apple.CoreFoundation      	0x00007fff8814f4b4 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 20
40  com.apple.CoreFoundation      	0x00007fff8814efcd __CFRunLoopDoTimer + 557
41  com.apple.CoreFoundation      	0x00007fff881347b9 __CFRunLoopRun + 1513
42  com.apple.CoreFoundation      	0x00007fff88133dd2 CFRunLoopRunSpecific + 290
43  com.apple.HIToolbox           	0x00007fff8aa03774 RunCurrentEventLoopInMode + 209
44  com.apple.HIToolbox           	0x00007fff8aa03512 ReceiveNextEventCommon + 356
45  com.apple.HIToolbox           	0x00007fff8aa033a3 BlockUntilNextEventMatchingListInMode + 62
46  com.apple.AppKit              	0x00007fff8b6bdfa3 _DPSNextEvent + 685
47  com.apple.AppKit              	0x00007fff8b6bd862 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
48  com.apple.AppKit              	0x00007fff8b6b4c03 -[NSApplication run] + 517
49  com.apple.WebCore             	0x0000000102107503 WebCore::RunLoop::run() + 67
50  com.apple.WebKit2             	0x00000001010b1b42 WebKit::WebProcessMain(WebKit::CommandLine const&) + 2586
51  com.apple.WebKit2             	0x0000000101060aeb WebKitMain + 285
52  com.apple.WebProcess          	0x0000000100f83e7b main + 214
53  libdyld.dylib                 	0x00007fff883bf7e1 start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff933f5d16 kevent + 10
1   libdispatch.dylib             	0x00007fff935c7e26 _dispatch_mgr_invoke + 883
2   libdispatch.dylib             	0x00007fff935c7a2a _dispatch_mgr_thread + 54

Thread 2:: com.apple.NSURLConnectionLoader
0   libsystem_kernel.dylib        	0x00007fff933f3686 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff933f2c42 mach_msg + 70
2   com.apple.CoreFoundation      	0x00007fff8812ef23 __CFRunLoopServiceMachPort + 195
3   com.apple.CoreFoundation      	0x00007fff88134606 __CFRunLoopRun + 1078
4   com.apple.CoreFoundation      	0x00007fff88133dd2 CFRunLoopRunSpecific + 290
5   com.apple.Foundation          	0x00007fff919ad7d6 +[NSURLConnection(Loader) _resourceLoadLoop:] + 356
6   com.apple.Foundation          	0x00007fff91a0b842 __NSThread__main__ + 1345
7   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
8   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 3:: JavaScriptCore::BlockFree
0   libsystem_kernel.dylib        	0x00007fff933f50fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff87fedfc9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000101591646 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 118
3   com.apple.JavaScriptCore      	0x0000000101559634 JSC::BlockAllocator::blockFreeingThreadMain() + 100
4   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 4:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff933f50fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff87fedfc9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010148fe51 JSC::SlotVisitor::drainFromShared(JSC::SlotVisitor::SharedDrainMode) + 433
3   com.apple.JavaScriptCore      	0x000000010148fc12 JSC::MarkStackThreadSharedData::markingThreadMain(JSC::SlotVisitor*) + 34
4   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 5:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff933f50fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff87fedfc9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010148fe51 JSC::SlotVisitor::drainFromShared(JSC::SlotVisitor::SharedDrainMode) + 433
3   com.apple.JavaScriptCore      	0x000000010148fc12 JSC::MarkStackThreadSharedData::markingThreadMain(JSC::SlotVisitor*) + 34
4   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 6:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff933f50fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff87fedfc9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010148fe51 JSC::SlotVisitor::drainFromShared(JSC::SlotVisitor::SharedDrainMode) + 433
3   com.apple.JavaScriptCore      	0x000000010148fc12 JSC::MarkStackThreadSharedData::markingThreadMain(JSC::SlotVisitor*) + 34
4   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 7:: WebCore: Scrolling
0   libsystem_kernel.dylib        	0x00007fff933f3686 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff933f2c42 mach_msg + 70
2   com.apple.CoreFoundation      	0x00007fff8812ef23 __CFRunLoopServiceMachPort + 195
3   com.apple.CoreFoundation      	0x00007fff88134606 __CFRunLoopRun + 1078
4   com.apple.CoreFoundation      	0x00007fff88133dd2 CFRunLoopRunSpecific + 290
5   com.apple.CoreFoundation      	0x00007fff88142a81 CFRunLoopRun + 97
6   com.apple.WebCore             	0x000000010212c2e4 WebCore::ScrollingThread::initializeRunLoop() + 244
7   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
8   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 8:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff933f5322 __select + 10
1   com.apple.CoreFoundation      	0x00007fff88173bf6 __CFSocketManager + 1302
2   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
3   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 9:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x00007fff933f50fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff87fedfc9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010159160d WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 61
3   com.apple.WebCore             	0x0000000102173d21 WTF::PassOwnPtr<WebCore::StorageTask> WTF::MessageQueue<WebCore::StorageTask>::waitForMessageFilteredWithTimeout<bool (WebCore::StorageTask*)>(WTF::MessageQueueWaitResult&, bool (&)(WebCore::StorageTask*), double) + 81
4   com.apple.WebCore             	0x00000001021739da WebCore::StorageThread::threadEntryPoint() + 154
5   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
6   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
7   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 10:: WebCore: LocalStorage
0   libsystem_kernel.dylib        	0x00007fff933f50fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff87fedfc9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x000000010159160d WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 61
3   com.apple.WebCore             	0x0000000102173d21 WTF::PassOwnPtr<WebCore::StorageTask> WTF::MessageQueue<WebCore::StorageTask>::waitForMessageFilteredWithTimeout<bool (WebCore::StorageTask*)>(WTF::MessageQueueWaitResult&, bool (&)(WebCore::StorageTask*), double) + 81
4   com.apple.WebCore             	0x00000001021739da WebCore::StorageThread::threadEntryPoint() + 154
5   com.apple.JavaScriptCore      	0x000000010159105f WTF::wtfThreadEntryPoint(void*) + 15
6   libsystem_c.dylib             	0x00007fff87fe9782 _pthread_start + 327
7   libsystem_c.dylib             	0x00007fff87fd61c1 thread_start + 13

Thread 11:
0   libsystem_kernel.dylib        	0x00007fff933f56d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff87febf2c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff87febcf3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff87fd61b1 start_wqthread + 13

Thread 12:
0   libsystem_kernel.dylib        	0x00007fff933f56d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff87febf2c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff87febcf3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff87fd61b1 start_wqthread + 13

Thread 13:
0   libsystem_kernel.dylib        	0x00007fff933f56d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff87febf2c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff87febcf3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff87fd61b1 start_wqthread + 13

Thread 14:
0   libsystem_kernel.dylib        	0x00007fff933f56d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff87febf2c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff87febcf3 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff87fd61b1 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
 rax: 0x0000000000000000  rbx: 0x000000015118d120  rcx: 0x0000001b000000dc  rdx: 0x00007fff5ec7a200
 rdi: 0x00007fff5ec7a158  rsi: 0x00007fff5ec7a130  rbp: 0x00007fff5ec7a510  rsp: 0x00007fff5ec7a0b0
  r8: 0x000000000000001b   r9: 0x00000000000003db  r10: 0x00007fff5ec7a320  r11: 0x00000000000000dc
 r12: 0x000000015176bd50  r13: 0x000000014cb7d000  r14: 0x000000014f3ba2c8  r15: 0x000000014f3ba400
 rip: 0x0000000101a322f7  rfl: 0x0000000000010283  cr2: 0x0000000000000058
Logical CPU: 1

Binary Images:
      0x100f83000 -        0x100f83fff  com.apple.WebProcess (537+ - 537.4+) <950CA3A7-52D5-302C-B59C-20423ACE1B6E> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
      0x100f8f000 -        0x100f8ffff +WebProcessShim.dylib (0) <679EBE0A-AA42-38AC-89A6-A958C7DF6F36> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcessShim.dylib
      0x100fc2000 -        0x1011aafff  com.apple.WebKit2 (537+ - 537.4+) <5CE3614E-A4B3-3F4D-B68C-BBD4EA535B5A> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebKit2
      0x101319000 -        0x1015fefff  com.apple.JavaScriptCore (537+ - 537.4+) <BE850F62-471A-328A-B367-10C8CA6FE6DB> /Applications/WebKit.app/Contents/Frameworks/10.8/JavaScriptCore.framework/Versions/A/JavaScriptCore
      0x1016d1000 -        0x102756ff7  com.apple.WebCore (537+ - 537.4+) <50805646-DE0C-33DB-B855-28BD31F6E2E4> /Applications/WebKit.app/Contents/Frameworks/10.8/WebCore.framework/Versions/A/WebCore
      0x143309000 -        0x14330aff7  ATSHI.dylib (341) <07D6CB80-F51F-3BF8-985D-1ADED2B603AF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
      0x145a96000 -        0x145c1fff7  com.apple.WebKit (r124698 - 537.4+) <F2784E89-420B-3C16-AA99-1510A675645F> /Applications/WebKit.app/Contents/Frameworks/10.8/WebKit.framework/Versions/A/WebKit
      0x145d12000 -        0x145d28fff  com.apple.WebInspector (8536 - 8536.24) <1C609DE6-B2DE-32A6-B039-9ED16253F7C8> /System/Library/PrivateFrameworks/WebInspector.framework/Versions/A/WebInspector
      0x1467c3000 -        0x1467d9ff7  com.apple.webcontentfilter.framework (3.1 - 5) <EA6EFE08-043B-3EA8-A4CC-CF61F4A149A8> /System/Library/PrivateFrameworks/WebContentAnalysis.framework/WebContentAnalysis
      0x147fa0000 -        0x147faeff7  libGPUSupport.dylib (8.5) <EBBD76FB-1C64-350C-9568-DB4C4C99602D> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupport.dylib
      0x148097000 -        0x1480a0fef  libcldcpuengine.dylib (2.1.16) <BA5F6C17-7A08-3DCF-A30E-E9C4D76B7356> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
      0x1480a6000 -        0x1480a9ff7  libCoreFSCache.dylib (24.4) <C375CAA0-F91F-3D9F-AF90-DB951BD86983> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
      0x1482c8000 -        0x14847ffff  GLEngine (8.5) <AB9EB15E-11BB-34BF-B89E-02BC01916ABE> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
      0x1484b6000 -        0x1485f7fff  libGLProgrammability.dylib (8.5) <2FFA7003-CB27-3A04-A4DC-8178545CF74B> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
      0x1489f9000 -        0x148d89ff7  com.apple.driver.AppleIntelHDGraphicsGLDriver (8.0.51 - 8.0.0) <ABD7698A-892F-3BF8-93D3-6DA3CC27FC47> /System/Library/Extensions/AppleIntelHDGraphicsGLDriver.bundle/Contents/MacOS/AppleIntelHDGraphicsGLDriver
      0x148ea4000 -        0x148ed1fff  GLRendererFloat (8.5) <5486E8B9-3EF6-3C15-9CCB-28317B3BFA97> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
      0x200000000 -        0x200822fff  com.apple.GeForceGLDriver (8.0.51 - 8.0.0) <0052635D-D9E8-33DB-B8B3-61A3169D7AA1> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
   0x7fff60b83000 -     0x7fff60bb793f  dyld (210.2.3) <A40597AA-5529-3337-8C09-D8A014EB1578> /usr/lib/dyld
   0x7fff87fb8000 -     0x7fff87fbcff7  com.apple.CommonPanels (1.2.5 - 94) <AAC003DE-2D6E-38B7-B66B-1F3DA91E7245> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
   0x7fff87fbd000 -     0x7fff87fd4fff  com.apple.CFOpenDirectory (10.8 - 151.10) <FFBBA538-00B5-334E-BA5B-C8AD6CDCDA14> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
   0x7fff87fd5000 -     0x7fff880a1fef  libsystem_c.dylib (825.24) <16B6B86C-53EE-36E8-AC2B-4AADC1008098> /usr/lib/system/libsystem_c.dylib
   0x7fff880a2000 -     0x7fff880fefff  com.apple.QuickLookFramework (4.0 - 555.0) <8B163B8C-001E-3BBB-98ED-8173C68BC84C> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
   0x7fff880ff000 -     0x7fff882e8fff  com.apple.CoreFoundation (6.8 - 744) <47AEA7C7-EF9B-3FC6-AEBF-CE02FC650301> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
   0x7fff8832b000 -     0x7fff883bcff7  com.apple.CorePDF (2.0 - 2) <BD4EBB01-5A60-34F1-B9DD-AF745AA10902> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
   0x7fff883bd000 -     0x7fff883c0ff7  libdyld.dylib (210.2.3) <F59367C9-C110-382B-A695-9035A6DD387E> /usr/lib/system/libdyld.dylib
   0x7fff883c1000 -     0x7fff88442fff  com.apple.Metadata (10.7.0 - 707.1) <ED39A710-1D87-3207-BB7D-4465B2673C1D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
   0x7fff88443000 -     0x7fff88444ff7  libSystem.B.dylib (169.3) <365477AB-D641-389D-B8F4-A1FAE9657EEE> /usr/lib/libSystem.B.dylib
   0x7fff88445000 -     0x7fff8849aff7  libTIFF.dylib (843) <4EB491F3-8DA4-3E4F-AE83-E207720F38B3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
   0x7fff8849b000 -     0x7fff884c6fff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib
   0x7fff884c7000 -     0x7fff884d3ff7  com.apple.CrashReporterSupport (10.8 - 411) <FA7EA7CD-103D-30B1-BF2F-862E68A6B5B7> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
   0x7fff884d4000 -     0x7fff88531ff7  com.apple.AE (645 - 645) <9C3E54BA-EE6B-3F02-8775-9C4AF40F40CD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
   0x7fff88532000 -     0x7fff88538ff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3> /usr/lib/system/libunwind.dylib
   0x7fff88546000 -     0x7fff88550fff  libcsfde.dylib (274.4) <BA21D512-35F1-3B00-8FF6-E0D6A29A21FF> /usr/lib/libcsfde.dylib
   0x7fff8858c000 -     0x7fff8858dfff  libsystem_blocks.dylib (59) <D92DCBC3-541C-37BD-AADE-ACC75A0C59C8> /usr/lib/system/libsystem_blocks.dylib
   0x7fff8859f000 -     0x7fff8859ffff  com.apple.vecLib (3.8 - vecLib 3.8) <794317C7-4E38-338A-A874-5E18001C8503> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
   0x7fff885a1000 -     0x7fff885abff7  com.apple.xpcobjects (103 - 103) <9496FA67-F53E-37B8-845A-462B924AA5BE> /System/Library/PrivateFrameworks/XPCObjects.framework/Versions/A/XPCObjects
   0x7fff885f8000 -     0x7fff886a9fff  com.apple.LaunchServices (539 - 539) <04FA5C61-6349-3841-9609-B650B6222800> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
   0x7fff886aa000 -     0x7fff88784fff  com.apple.backup.framework (1.4 - 1.4) <00964E68-4A36-3F9F-B0A5-B782575C64DE> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
   0x7fff88785000 -     0x7fff887dbff7  com.apple.opencl (2.1.17 - 2.1.17) <CA9E8BED-17C9-393B-A53E-8EAA8BF01C47> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
   0x7fff887dc000 -     0x7fff887ddff7  libremovefile.dylib (23.1) <DBBFAF35-AC78-3856-92F6-6E4FD9DF14A2> /usr/lib/system/libremovefile.dylib
   0x7fff887ea000 -     0x7fff887eefff  libCoreVMClient.dylib (24.4) <55F71158-ADEE-3863-92E9-4772DCEA8E31> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
   0x7fff887ef000 -     0x7fff887effff  com.apple.ApplicationServices (45 - 45) <A3ABF20B-ED3A-32B5-830E-B37831A45A80> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
   0x7fff88847000 -     0x7fff88867fff  libPng.dylib (843) <8F83F355-CA33-3D15-8178-54A135BA23BA> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
   0x7fff88930000 -     0x7fff88936fff  libGFXShared.dylib (8.5) <34093C75-3ECB-3899-A2C0-A52ECAA7C3FC> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
   0x7fff88937000 -     0x7fff88943ff7  com.apple.DirectoryService.Framework (10.8 - 151.10) <DA05EF06-8EBD-3759-B5D3-E6FC86C5D850> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
   0x7fff88944000 -     0x7fff88a6dff7  com.apple.avfoundation (2.0 - 361.24) <513C9DCB-B670-3271-92E5-C5B90F2E34B8> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
   0x7fff88a9c000 -     0x7fff88c37fef  com.apple.vImage (6.0 - 6.0) <FAE13169-295A-33A5-8E6B-7C2CC1407FA7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
   0x7fff88c38000 -     0x7fff88c3afff  com.apple.securityhi (4.0 - 55002) <34E45C60-DC7E-3FCC-A1ED-EBF48B77C559> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
   0x7fff88c3b000 -     0x7fff88d8bfff  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <8019964B-4FFB-3328-A425-B1A702177A25> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
   0x7fff88d8c000 -     0x7fff88f3afff  com.apple.QuartzCore (1.8 - 304.0) <BDC66714-F60C-386D-A773-F897D1E87AB6> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
   0x7fff88f3b000 -     0x7fff88f3cfff  libquit.dylib (130) <FD30E6D6-B4F9-3E14-8376-7036271100D1> /usr/lib/libquit.dylib
   0x7fff88f3d000 -     0x7fff88f41fff  libMatch.1.dylib (17) <E10E50F3-25F8-3B9B-AA11-923E40F5FFDD> /usr/lib/libMatch.1.dylib
   0x7fff88fa7000 -     0x7fff88fb4ff7  com.apple.NetAuth (4.0 - 4.0) <F5BC7D7D-AF28-3C83-A674-DADA48FF7810> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
   0x7fff88fe4000 -     0x7fff88fe4fff  com.apple.CoreServices (57 - 57) <9DD44CB0-C644-35C3-8F57-0B41B3EC147D> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
   0x7fff88fe5000 -     0x7fff890f0fff  libFontParser.dylib (84.5) <617A7D30-C7BC-39FC-A1FE-59367B4A5719> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
   0x7fff890f1000 -     0x7fff89108fff  com.apple.GenerationalStorage (1.1 - 132.1) <EAB41613-0145-3CE5-AA60-A8A791A3EE22> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
   0x7fff89109000 -     0x7fff89109fff  com.apple.quartzframework (1.5 - 1.5) <6403C982-0D45-37EE-A0F0-0EF8BCFEF440> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
   0x7fff8910a000 -     0x7fff891a8fff  com.apple.ink.framework (1.4 - 110) <C6E43ED5-7189-3291-80F0-BB7702AD051A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
   0x7fff891a9000 -     0x7fff891abfff  com.apple.TrustEvaluationAgent (2.0 - 23) <A97D348B-32BF-3E52-8DF2-59BFAD21E1A3> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
   0x7fff8923a000 -     0x7fff89292ff7  com.apple.ImageCaptureCore (4.0 - 4.0) <43B3255C-7567-3508-B2C9-6D1CFA61DB83> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
   0x7fff89327000 -     0x7fff8932efff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib
   0x7fff8932f000 -     0x7fff89336fff  com.apple.NetFS (5.0 - 4.0) <82E24B9A-7742-3DA3-9E99-ED267D98C05E> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
   0x7fff8937b000 -     0x7fff89478ff7  libxml2.2.dylib (22.3) <47B09CB2-C636-3024-8B55-6040F7829B4C> /usr/lib/libxml2.2.dylib
   0x7fff8948a000 -     0x7fff89498ff7  com.apple.Librarian (1.1 - 1) <B0248F96-6BC9-3F63-8557-65DF1606039C> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
   0x7fff89499000 -     0x7fff8959bfff  libJP2.dylib (843) <04915A7F-EE27-3C01-8582-0BD9919558B1> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
   0x7fff8959c000 -     0x7fff895e4fff  com.apple.framework.CoreWiFi (1.0 - 100.10) <0E863B4A-1094-3F8D-BEDE-D99537E9C588> /System/Library/Frameworks/CoreWiFi.framework/Versions/A/CoreWiFi
   0x7fff895e5000 -     0x7fff8961cff7  libssl.0.9.8.dylib (47) <923945E6-C489-3406-903B-A362410753F8> /usr/lib/libssl.0.9.8.dylib
   0x7fff8961d000 -     0x7fff89a15ff7  com.apple.MediaToolbox (1.0 - 926.37) <347504AF-1028-3829-B51B-80E2F22BA600> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
   0x7fff89a16000 -     0x7fff89a96ff7  com.apple.ApplicationServices.ATS (332 - 341) <0CAA1A5C-59DB-3ACE-8478-05D72CBB7C76> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
   0x7fff89aa5000 -     0x7fff89c16ff7  com.apple.QTKit (7.7.1 - 2599) <823F862A-4A34-3894-A36C-C6D91B8AF5A8> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
   0x7fff89c17000 -     0x7fff8a100fff  com.apple.Safari.framework (8536 - 8536.25) <30017BBB-3A76-31D7-A211-D8FF1E83B836> /System/Library/PrivateFrameworks/Safari.framework/Versions/A/Safari
   0x7fff8a101000 -     0x7fff8a104fff  com.apple.TCC (1.0 - 1) <DE7ECAC3-BD08-323A-9C12-EE4A49B72871> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
   0x7fff8a14c000 -     0x7fff8a176ff7  com.apple.CoreVideo (1.8 - 99.0) <ED17EF3A-2775-3840-BBD1-6513B5B112F2> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
   0x7fff8a177000 -     0x7fff8a182ff7  com.apple.aps.framework (3.0 - 3.0) <17CAFBFA-B842-33F0-B1F5-14EED36799FD> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
   0x7fff8a183000 -     0x7fff8a183fff  com.apple.Carbon (154 - 155) <372716D2-6FA1-3611-8501-3DD1D4A6E8C8> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
   0x7fff8a184000 -     0x7fff8a188fff  libCGXType.A.dylib (322) <0FA2272E-7733-36EA-9B9B-9279169D5919> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
   0x7fff8a189000 -     0x7fff8a20bfff  com.apple.Heimdal (3.0 - 2.0) <660A6C64-4912-32C8-A332-B64164032A2D> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
   0x7fff8a664000 -     0x7fff8a66efff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <D803919C-3102-3515-A178-61E9C86C46A1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
   0x7fff8a909000 -     0x7fff8a9a3fff  libvMisc.dylib (380.6) <714336EA-1C0E-3735-B31C-19DFDAAF6221> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
   0x7fff8a9a4000 -     0x7fff8acd3ff7  com.apple.HIToolbox (2.0 - 624) <49C4A53E-9239-3B9A-95DC-8C7B398E491D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
   0x7fff8acda000 -     0x7fff8adabff7  com.apple.CoreText (260.0 - 275.14) <98A59BFB-9AC0-3EAB-B5A4-26C2F965A65D> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
   0x7fff8adac000 -     0x7fff8aec4a27  libobjc.A.dylib (532) <9FA80CDA-97F4-3801-8879-0C1B976BC5CA> /usr/lib/libobjc.A.dylib
   0x7fff8aee1000 -     0x7fff8aee2ff7  libsystem_sandbox.dylib (220) <3C3B03CF-C525-3CB3-8557-62E91B93AC95> /usr/lib/system/libsystem_sandbox.dylib
   0x7fff8aee6000 -     0x7fff8aee7fff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib
   0x7fff8af99000 -     0x7fff8af9ffff  com.apple.DiskArbitration (2.5 - 2.5) <348AC0CC-6BCE-3416-9141-A5C1164EDDFF> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
   0x7fff8afa0000 -     0x7fff8b0e3fef  com.apple.MediaControlSender (1.4.1 - 141.23) <983E0905-BA7A-35D3-9370-430032201712> /System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender
   0x7fff8b0e4000 -     0x7fff8b0f7ff7  libbsm.0.dylib (32) <F497D3CE-40D9-3551-84B4-3D5E39600737> /usr/lib/libbsm.0.dylib
   0x7fff8b0f8000 -     0x7fff8b120fff  libJPEG.dylib (843) <377EC31E-1831-32E2-AEEB-C375E0A80335> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
   0x7fff8b121000 -     0x7fff8b17dfff  com.apple.corelocation (1.0 - 1239.35) <0E3482AE-CF12-3CE2-A15E-0BF3D5F956CB> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
   0x7fff8b3ef000 -     0x7fff8b42afff  com.apple.LDAPFramework (2.4.28 - 194.5) <012E3038-92EA-3DC8-82B1-A71462DDAE9E> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
   0x7fff8b42b000 -     0x7fff8b493fff  libvDSP.dylib (380.6) <CD4C5EEB-9E63-30C4-8103-7A5EAEA0BE60> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
   0x7fff8b494000 -     0x7fff8b4d3ff7  com.apple.QD (3.42 - 285) <8DF36FCA-C06B-30F4-A631-7BE2FF7E56D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
   0x7fff8b4d4000 -     0x7fff8b4f0fff  com.apple.openscripting (1.3.5 - 148) <ACDE22A1-6170-3289-AF26-E501E6326BD7> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
   0x7fff8b4f8000 -     0x7fff8b544ff7  libauto.dylib (185.1) <73CDC482-16E3-3FC7-9BB4-FBA2DA44DBC2> /usr/lib/libauto.dylib
   0x7fff8b545000 -     0x7fff8b566ff7  libCRFSuite.dylib (33) <736ABE58-8DED-3289-A042-C25AF7AE5B23> /usr/lib/libCRFSuite.dylib
   0x7fff8b567000 -     0x7fff8c191fff  com.apple.AppKit (6.8 - 1187) <C9309F5C-9441-3E5B-A120-B03FEDDA63F9> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
   0x7fff8c192000 -     0x7fff8c3edfff  com.apple.QuartzComposer (5.1 - 281) <E2BADA0D-2078-36FD-A761-97F9430C3C1B> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
   0x7fff8c3ee000 -     0x7fff8c3f1ff7  com.apple.LoginUICore (2.0 - 2.0) <965559B0-1F0E-3767-A16B-F91AABFA5275> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
   0x7fff8c3f2000 -     0x7fff8c418fff  com.apple.framework.familycontrols (4.0 - 400) <B296674D-6D0B-323D-84C0-1D356F6F3BFA> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
   0x7fff8c45f000 -     0x7fff8c4ccfff  com.apple.datadetectorscore (4.0 - 269.1) <C94C372B-3821-3A46-A8C2-091AB1CFF7F4> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
   0x7fff8c4cd000 -     0x7fff8c50ffff  com.apple.RemoteViewServices (2.0 - 80.3) <E0224421-A421-3DB6-99AF-B249684FD13A> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
   0x7fff8c510000 -     0x7fff8c53bfff  com.apple.framework.Apple80211 (8.0 - 800.15) <378C6564-96EC-3BFF-9AC0-8A6F87030254> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
   0x7fff8c53c000 -     0x7fff8c584fff  libcurl.4.dylib (69.2) <EBDBF42D-E4A6-3D05-A76B-2817D79D59E2> /usr/lib/libcurl.4.dylib
   0x7fff8c5df000 -     0x7fff8c60dfff  com.apple.CoreServicesInternal (153 - 153) <11507A03-9165-350C-9492-A545EA7331BD> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
   0x7fff8c60e000 -     0x7fff8c610ff7  com.apple.print.framework.Print (8.0 - 258) <34666CC2-B86D-3313-B3B6-A9977AD593DA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
   0x7fff8c611000 -     0x7fff8c72aff7  com.apple.ImageIO.framework (3.2.0 - 843) <A9AC2A79-331A-3B06-AFE6-7E34EF876221> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
   0x7fff8c72b000 -     0x7fff8c81bff7  com.apple.DiskImagesFramework (10.8 - 344) <3A30B9B5-5099-35E2-9DCD-C96764FA2D26> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
   0x7fff8c81e000 -     0x7fff8c81efff  com.apple.AOSMigrate (1.0 - 1) <585B1483-490E-32DD-97DC-B9279E9D3490> /System/Library/PrivateFrameworks/AOSMigrate.framework/Versions/A/AOSMigrate
   0x7fff8c81f000 -     0x7fff8c8a6ff7  libCoreStorage.dylib (274.4) <7CCA18AC-1A7D-3962-8817-D70AA927973F> /usr/lib/libCoreStorage.dylib
   0x7fff8c8a7000 -     0x7fff8c8ceff7  com.apple.speech.LatentSemanticMappingFramework (2.9.3 - 2.9.3) <CDB23C93-853B-3F18-985C-6D32D4704F26> /System/Library/Frameworks/LatentSemanticMapping.framework/Versions/A/LatentSemanticMapping
   0x7fff8c8cf000 -     0x7fff8c8e0ff7  libsasl2.2.dylib (166) <649CAE0E-8FFE-3C60-A849-BE6300E4B726> /usr/lib/libsasl2.2.dylib
   0x7fff8c8e1000 -     0x7fff8c92cff7  com.apple.CoreMedia (1.0 - 926.37) <4C2A8C16-ED81-3127-8E27-3B4024EB9BBE> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
   0x7fff8c973000 -     0x7fff8c99aff7  com.apple.PerformanceAnalysis (1.16 - 16) <E4888388-F41B-313E-9CBB-5807D077BDA9> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
   0x7fff8c9e3000 -     0x7fff8c9f0fff  libbz2.1.0.dylib (29) <CE9785E8-B535-3504-B392-82F0064D9AF2> /usr/lib/libbz2.1.0.dylib
   0x7fff8c9f1000 -     0x7fff8ca40ff7  libFontRegistry.dylib (100) <2E03D7DA-9B8F-31BB-8FB5-3D3B6272127F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
   0x7fff8ca41000 -     0x7fff8cd58ff7  com.apple.CoreServices.CarbonCore (1037 - 1037) <5127E2AB-AE98-3393-AEF6-CA8C1090F921> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
   0x7fff8cd59000 -     0x7fff8cda6fff  com.apple.CoreMediaIO (301.0 - 4147) <61E348A5-1F9E-3390-9613-3EACE40DBD8C> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
   0x7fff8cda7000 -     0x7fff8cda7fff  com.apple.Cocoa (6.7 - 19) <1F77945C-F37A-3171-B22E-F7AB0FCBB4D4> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
   0x7fff8cdad000 -     0x7fff8cdb0fff  libutil.dylib (30) <EF3340B2-9A53-3D5E-B9B4-BDB5EEECC178> /usr/lib/libutil.dylib
   0x7fff8cf6c000 -     0x7fff8cfb6ff7  libGLU.dylib (8.5) <47CB8E1C-F98F-352E-B235-DE9EA7A3454F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
   0x7fff8cfb7000 -     0x7fff8cff4fe7  libGLImage.dylib (8.5) <9583CF74-F84A-33C7-B06A-3A72F090E544> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
   0x7fff8d003000 -     0x7fff8d019fff  com.apple.MultitouchSupport.framework (235.27 - 235.27) <78E356A6-78E8-3CAB-8982-7A4958C7A955> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
   0x7fff8d01a000 -     0x7fff8d139fff  com.apple.desktopservices (1.7.0 - 1.7.0) <F84224B1-BA28-31AF-8C89-1C2DBBFE4753> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
   0x7fff8d13a000 -     0x7fff8d15eff7  libc++abi.dylib (24.2) <340E7C7B-DC93-3AA2-B015-B1C9541EC255> /usr/lib/libc++abi.dylib
   0x7fff8d15f000 -     0x7fff8d25cfff  libsqlite3.dylib (138) <8D6A6805-1494-30D1-9F2A-F58FA3C0D7EE> /usr/lib/libsqlite3.dylib
   0x7fff8d25d000 -     0x7fff8d25efff  libodfde.dylib (18) <015DD2A0-D59A-3547-909D-7C028A65C312> /usr/lib/libodfde.dylib
   0x7fff8d25f000 -     0x7fff8d31cff7  com.apple.ColorSync (4.8.0 - 4.8.0) <6CE333AE-EDDB-3768-9598-9DB38041DC55> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
   0x7fff8d31d000 -     0x7fff8d322fff  com.apple.OpenDirectory (10.8 - 151.10) <CF44120B-9B01-32DD-852E-C9C0E1243FC0> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
   0x7fff8d323000 -     0x7fff8d337fff  com.apple.speech.synthesis.framework (4.1.10 - 4.1.10) <21086D96-F997-38D3-BB59-8600CCC3A36F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
   0x7fff8d3c2000 -     0x7fff8d3d0ff7  libsystem_network.dylib (77.10) <0D99F24E-56FE-380F-B81B-4A4C630EE587> /usr/lib/system/libsystem_network.dylib
   0x7fff8d438000 -     0x7fff8d492fff  com.apple.print.framework.PrintCore (8.0 - 387) <3CA8A004-8F93-3936-9F9E-7030BD474D2B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
   0x7fff8d493000 -     0x7fff8d49afff  com.apple.phonenumbers (1.1 - 47) <E6A01FEF-9C6D-3C18-B378-63F4134756E6> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
   0x7fff8d49b000 -     0x7fff8d4b6ff7  com.apple.frameworks.preferencepanes (15.0 - 15.0) <FF8AB34C-5C19-3C05-AE02-85AA39812686> /System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
   0x7fff8d4b7000 -     0x7fff8d6b7fff  libicucore.A.dylib (491.11.1) <17E8B610-6B16-3F91-B49C-7CAE0D08E9CF> /usr/lib/libicucore.A.dylib
   0x7fff8d6b8000 -     0x7fff8dad4fff  FaceCoreLight (2.0.1) <BEDAFBE8-CC12-343D-85D5-29B694DC97F6> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
   0x7fff8dad5000 -     0x7fff8dae0fff  com.apple.CommonAuth (3.0 - 2.0) <74A86DDD-57D0-3178-AB74-E1F31DBFFC39> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
   0x7fff8dae1000 -     0x7fff8db24ff7  com.apple.bom (12.0 - 192) <0BF1F2D2-3648-36B7-BE4B-551A0173209B> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
   0x7fff8db37000 -     0x7fff8dbb5ff7  com.apple.securityfoundation (6.0 - 55115.4) <C5461971-E455-31A6-99B8-AF80C4BC26DD> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
   0x7fff8dbb6000 -     0x7fff8dbc5ff7  com.apple.opengl (1.8.5 - 1.8.5) <C554C4DA-517D-3F77-BC7E-DDFD9E01A891> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
   0x7fff8dbc6000 -     0x7fff8dc11fff  com.apple.framework.CoreWLAN (3.0 - 300.9) <8BAF8D34-3A22-3F27-B136-F39A04F9ACE9> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
   0x7fff8dc17000 -     0x7fff8dc1afff  com.apple.AppleSystemInfo (2.0 - 2) <BC221376-361F-3F85-B284-DC251D3BB442> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
   0x7fff8dc1b000 -     0x7fff8dcb8fff  com.apple.PDFKit (2.7 - 2.7) <00F5A07D-4F61-3BE7-8836-EB03DA904FB1> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
   0x7fff8dd17000 -     0x7fff8dd4dfff  libsystem_info.dylib (406.17) <4FFCA242-7F04-365F-87A6-D4EFB89503C1> /usr/lib/system/libsystem_info.dylib
   0x7fff8dd4e000 -     0x7fff8dd53fff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib
   0x7fff8dd54000 -     0x7fff8dd82ff7  libsystem_m.dylib (3022.6) <B434BE5C-25AB-3EBD-BAA7-5304B34E3441> /usr/lib/system/libsystem_m.dylib
   0x7fff8dd83000 -     0x7fff8de1dfff  com.apple.CoreSymbolication (3.0 - 87) <75F2C0DD-549A-36F6-BD9E-FB40A924344F> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
   0x7fff8de1e000 -     0x7fff8de86ff7  libc++.1.dylib (65.1) <20E31B90-19B9-3C2A-A9EB-474E08F9FE05> /usr/lib/libc++.1.dylib
   0x7fff8de87000 -     0x7fff8df7cfff  libiconv.2.dylib (34) <FEE8B996-EB44-37FA-B96E-D379664DEFE1> /usr/lib/libiconv.2.dylib
   0x7fff8df88000 -     0x7fff8df88fff  libOpenScriptingUtil.dylib (148) <4DB14EC4-422C-3AE8-83BF-354FEC197FD3> /usr/lib/libOpenScriptingUtil.dylib
   0x7fff8df89000 -     0x7fff8dfc3fff  com.apple.GSS (3.0 - 2.0) <0BDF8090-5EF4-3759-94DE-8521D74188AA> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
   0x7fff8e035000 -     0x7fff8e2a9ff7  com.apple.RawCamera.bundle (3.14.2 - 644) <11978DA8-3427-33FB-95BD-315608107265> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
   0x7fff8e2aa000 -     0x7fff8e2c9ff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib
   0x7fff8e2d7000 -     0x7fff8e2e0fff  com.apple.CommerceCore (1.0 - 26) <997CD214-BC78-3C61-A1B8-813EA1CB9997> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
   0x7fff8e2e1000 -     0x7fff8e332fff  com.apple.SystemConfiguration (1.12 - 1.12) <7A8300B5-F5B3-39F0-A4B2-4C0C293FA29F> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
   0x7fff8e333000 -     0x7fff8e38aff7  com.apple.AppleVAFramework (5.0.18 - 5.0.18) <B75949DD-AC27-3848-8221-00D70D14C7E0> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
   0x7fff8e38b000 -     0x7fff8e38dff7  com.apple.EFILogin (2.0 - 2) <6D339047-85C5-35CD-B48F-8C43A6071416> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
   0x7fff8e393000 -     0x7fff8e3c5fff  com.apple.framework.Admin (12.0 - 12.0) <5D6978C8-0B1B-3D0E-A122-C0ABD0AA8488> /System/Library/PrivateFrameworks/Admin.framework/Versions/A/Admin
   0x7fff8e3c8000 -     0x7fff8e3eaff7  libxpc.dylib (140.37) <C552985C-2171-3136-A1B9-3AB21CBF7C4A> /usr/lib/system/libxpc.dylib
   0x7fff8e434000 -     0x7fff8e532ff7  com.apple.QuickLookUIFramework (4.0 - 555.0) <BD4FD137-918A-3755-B2B5-4E552D85B460> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
   0x7fff8e53c000 -     0x7fff8e570fff  com.apple.securityinterface (6.0 - 55024.3) <1AF13976-72BB-351F-A263-09284BA25C88> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
   0x7fff8e758000 -     0x7fff8e75afff  libCVMSPluginSupport.dylib (8.5) <437A72B8-1FA6-346C-8949-D63164A062F7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
   0x7fff8e75b000 -     0x7fff8e77afff  com.apple.ChunkingLibrary (2.0 - 132) <F5051C19-6C4E-3E65-9BEC-B0A4BA82457A> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
   0x7fff8e780000 -     0x7fff8e7b1fff  com.apple.DictionaryServices (1.2 - 184) <B37F9A90-8954-3DEC-A216-8ABB15C615A1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
   0x7fff8e7b2000 -     0x7fff8e925ff7  com.apple.CFNetwork (596.0.1 - 596.0.1) <82109BE9-19E2-399B-BACD-23D53814B873> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
   0x7fff8e926000 -     0x7fff8e934ff7  libkxld.dylib (2050.7.9) <8194156D-8B7D-3881-AF62-BCBE3306EE49> /usr/lib/system/libkxld.dylib
   0x7fff8e935000 -     0x7fff8e93dfff  liblaunch.dylib (442.21) <224CB010-6CF8-3FC2-885C-6F80330321EB> /usr/lib/system/liblaunch.dylib
   0x7fff8e93e000 -     0x7fff8e953fff  com.apple.ImageCapture (8.0 - 8.0) <17A45CE6-7DA3-36A5-B7EF-72BC136981AE> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
   0x7fff8e954000 -     0x7fff8e961fff  com.apple.AppleFSCompression (49 - 1.0) <5508344A-2A7E-3122-9562-6F363910A80E> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
   0x7fff8e962000 -     0x7fff8ea7cfff  com.apple.coreavchd (5.6.0 - 5600.4.16) <0CF2ABE5-B088-3B5D-9C04-47AE708ADAE3> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
   0x7fff8ea7d000 -     0x7fff8ea81fff  libpam.2.dylib (20) <C8F45864-5B58-3237-87E1-2C258A1D73B8> /usr/lib/libpam.2.dylib
   0x7fff8ea82000 -     0x7fff8ea82fff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <B5A18EE8-DF81-38DD-ACAF-7076B2A26225> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
   0x7fff8ea83000 -     0x7fff8ea8efff  libsystem_notify.dylib (98.5) <C49275CC-835A-3207-AFBA-8C01374927B6> /usr/lib/system/libsystem_notify.dylib
   0x7fff8ea8f000 -     0x7fff8ea90ff7  libdnsinfo.dylib (453.16) <38A3E0F4-E34C-3D45-A2C9-4CDE2DF007BD> /usr/lib/system/libdnsinfo.dylib
   0x7fff8eaa5000 -     0x7fff8eadeff7  com.apple.framework.internetaccounts (2.0 - 200) <F4C8194D-D9CF-3D48-A9C0-CE572CDBD070> /System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts
   0x7fff8eb08000 -     0x7fff8f24afff  libclh.dylib (4.0.3 - 4.0.3) <09E80B31-5192-39A3-8F6E-5B928027BFBA> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
   0x7fff8f24b000 -     0x7fff8f281fff  com.apple.DebugSymbols (98 - 98) <14E788B1-4EB2-3FD7-934B-849534DFC198> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
   0x7fff8f282000 -     0x7fff8f30fff7  com.apple.SearchKit (1.4.0 - 1.4.0) <C7F43889-F8BF-3CB9-AD66-11AEFCBCEDE7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
   0x7fff8f310000 -     0x7fff8f3b6fff  com.apple.CoreServices.OSServices (557 - 557) <F5955FD8-E6E1-359F-9D9D-381E55E3EF37> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
   0x7fff8f408000 -     0x7fff8f40afff  libquarantine.dylib (52) <4BE2E642-A14F-340A-B482-5BD2AEFD9C24> /usr/lib/system/libquarantine.dylib
   0x7fff8f491000 -     0x7fff8f49ffff  libcommonCrypto.dylib (60026) <2D6537F5-1B5E-305C-A1CF-D1FA80CA3939> /usr/lib/system/libcommonCrypto.dylib
   0x7fff8f4a0000 -     0x7fff8f4a1fff  libDiagnosticMessagesClient.dylib (7) <56A70657-E8C2-3804-AB87-77DC100512A4> /usr/lib/libDiagnosticMessagesClient.dylib
   0x7fff8f4a2000 -     0x7fff8f4a2ffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <ECC4891A-9BA8-3C13-9A2B-6116521B7B46> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
   0x7fff8f4a3000 -     0x7fff8f513fff  com.apple.ISSupport (1.9.8 - 56) <23ED7650-2705-355A-9F11-409A9981AC53> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
   0x7fff8f514000 -     0x7fff8f535fff  com.apple.Ubiquity (1.2 - 234.2) <AC544B6F-0879-39A3-90A3-8BC8C29CBAD5> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
   0x7fff8f536000 -     0x7fff8f92dfff  libLAPACK.dylib (1073.3) <E670020A-6969-3ED7-B80B-285AE1DE5F95> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
   0x7fff8fb75000 -     0x7fff8fbccff7  com.apple.ScalableUserInterface (1.0 - 1) <F1D43DFB-1796-361B-AD4B-39F1EED3BE19> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
   0x7fff8fbcd000 -     0x7fff8fdebfff  com.apple.CoreData (106 - 407.5) <45EF39FE-7FD6-366E-BB5C-3E86E0B7DA3C> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
   0x7fff8fdec000 -     0x7fff8fe42fff  com.apple.HIServices (1.20 - 416) <E7DC75C4-A3E0-3D6B-B961-C9849442BCA6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
   0x7fff8fe43000 -     0x7fff900c2fff  com.apple.AOSKit (1.05 - 148) <C7246547-252D-3505-BC4C-B26ECE575118> /System/Library/PrivateFrameworks/AOSKit.framework/Versions/A/AOSKit
   0x7fff900c3000 -     0x7fff900ceff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <7A5F12E8-C1C2-39C7-8599-2362EAAB9F03> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
   0x7fff9012f000 -     0x7fff90131ff7  libunc.dylib (25) <92805328-CD36-34FF-9436-571AB0485072> /usr/lib/system/libunc.dylib
   0x7fff90132000 -     0x7fff90234fff  libcrypto.0.9.8.dylib (47) <74F165AD-4572-3B26-B0E2-A97477FE59D0> /usr/lib/libcrypto.0.9.8.dylib
   0x7fff90235000 -     0x7fff90502ff7  com.apple.security (7.0 - 55163.44) <E62305A2-958D-3EBC-B7E5-9A151D3E1777> /System/Library/Frameworks/Security.framework/Versions/A/Security
   0x7fff90503000 -     0x7fff90560fff  com.apple.audio.CoreAudio (4.1.0 - 4.1.0) <B3198BD6-EA1D-3E5E-ADD4-37D8E6B72678> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
   0x7fff90561000 -     0x7fff90ef239f  com.apple.CoreGraphics (1.600.0 - 322) <2F5D7032-9A96-36AE-A227-428E95CAE0C5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
   0x7fff90ef3000 -     0x7fff90f2ffff  com.apple.GeoServices (1.0 - 1) <F55A4DD8-FA21-3842-8450-1D707D24E69B> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
   0x7fff90f80000 -     0x7fff90f92ff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib
   0x7fff91848000 -     0x7fff91848fff  com.apple.Accelerate (1.8 - Accelerate 1.8) <6AD48543-0864-3D40-80CE-01F184F24B45> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
   0x7fff91894000 -     0x7fff91897fff  libRadiance.dylib (843) <61405840-A8B0-368E-B39A-704B5A04FDA5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
   0x7fff91898000 -     0x7fff9189bfff  com.apple.help (1.3.2 - 42) <343904FE-3022-3573-97D6-5FE17F8643BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
   0x7fff9189c000 -     0x7fff918c8ff7  libRIP.A.dylib (322) <36880C8B-7FC0-3689-91FF-A0E8F4F57FE4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
   0x7fff918c9000 -     0x7fff918dfff7  com.apple.Accounts (182.2 - 182.2) <452BFFF4-AAAD-345E-8205-A9821E234CFA> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
   0x7fff91963000 -     0x7fff9196eff7  com.apple.ProtocolBuffer (2 - 104) <3270C172-1437-3080-9E53-3E2DCA9AE2EC> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
   0x7fff9196f000 -     0x7fff91974fff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9> /usr/lib/system/libcompiler_rt.dylib
   0x7fff91975000 -     0x7fff91975fff  libkeymgr.dylib (25) <CC9E3394-BE16-397F-926B-E579B60EE429> /usr/lib/system/libkeymgr.dylib
   0x7fff91976000 -     0x7fff91cd2ff7  com.apple.Foundation (6.8 - 945) <0C972F73-0C07-3384-98F2-B176E0289494> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
   0x7fff91cfc000 -     0x7fff91f8cfff  com.apple.CoreImage (8.0.17 - 1.0.1) <FFD6159F-DF31-3EFC-9C59-7FC4F4219D43> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
   0x7fff91f8d000 -     0x7fff91fa1fff  libGL.dylib (8.5) <BE75219E-DC86-343A-983C-CA3ECADE659F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
   0x7fff91fa2000 -     0x7fff923defff  com.apple.VideoToolbox (1.0 - 926.37) <2C623B6A-42C1-30C3-93A6-0A10880D07D3> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
   0x7fff923df000 -     0x7fff923e1fff  com.apple.OAuth (13.3 - 13.3) <0B7D051E-C639-34CC-A69B-EA2860112115> /System/Library/PrivateFrameworks/OAuth.framework/Versions/A/OAuth
   0x7fff923e2000 -     0x7fff9240bfff  libsandbox.1.dylib (220) <FCD65E60-6276-3455-8A11-09864DC9A285> /usr/lib/libsandbox.1.dylib
   0x7fff925c9000 -     0x7fff92873fff  com.apple.imageKit (2.2 - 660) <C14E3765-B683-3530-9312-256CEF43A258> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
   0x7fff92874000 -     0x7fff928b4fff  com.apple.MediaKit (13 - 658) <3614D66C-0712-3049-9C5A-1ED9A94D82C5> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
   0x7fff928b5000 -     0x7fff92911ff7  com.apple.Symbolication (1.3 - 93) <F2C7E0B6-B241-3020-B30A-0636D0FA3378> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
   0x7fff92bd1000 -     0x7fff92bd5fff  com.apple.IOSurface (86.0.2 - 86.0.2) <739A481A-DF06-39EB-B784-D03BA1CBD762> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
   0x7fff92bd6000 -     0x7fff9337efff  com.apple.CoreAUC (6.16.00 - 6.16.00) <B0B4B5B8-6F8F-3221-9128-313E3B8C695D> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
   0x7fff9337f000 -     0x7fff93392ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <2F2694E9-A7BC-33C7-B4CF-8EC907DF0FEB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
   0x7fff93393000 -     0x7fff933e2ff7  libcorecrypto.dylib (106) <57BC99C6-3C3F-344C-BDD6-25E845D956F2> /usr/lib/system/libcorecrypto.dylib
   0x7fff933e3000 -     0x7fff933feff7  libsystem_kernel.dylib (2050.7.9) <E0447BF5-E104-35B0-B28B-4156887D58F1> /usr/lib/system/libsystem_kernel.dylib
   0x7fff933ff000 -     0x7fff93403fff  libGIF.dylib (843) <21324AF8-AFDA-3149-B547-C5109C1FBECF> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
   0x7fff93404000 -     0x7fff9340efff  com.apple.DisplayServicesFW (2.6 - 352.4.2) <7FF30C43-84D7-3305-B8AD-F9754F3C582B> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
   0x7fff9340f000 -     0x7fff93595fff  libBLAS.dylib (1073.3) <6B71AB8C-3D9A-33C2-9EAF-2A0BA504D493> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
   0x7fff93596000 -     0x7fff935c2fff  com.apple.quartzfilters (1.8.0 - 1.7.0) <B8DE45D7-1827-3379-A478-1A574A1D11D9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
   0x7fff935c3000 -     0x7fff935d8ff7  libdispatch.dylib (228.18) <0B6B6E7F-4D8A-3F3B-A4BF-6CF34638DBBB> /usr/lib/system/libdispatch.dylib
   0x7fff935d9000 -     0x7fff9360eff7  libTrueTypeScaler.dylib (84.5) <DF2335F3-07BE-30BA-B73C-3204E95B42C3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
   0x7fff9360f000 -     0x7fff93615fff  libmacho.dylib (829) <BF332AD9-E89F-387E-92A4-6E1AB74BD4D9> /usr/lib/system/libmacho.dylib
   0x7fff93616000 -     0x7fff93622fff  libCSync.A.dylib (322) <C1321292-F5D3-3B8F-8CBB-57AC8E05F90C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
   0x7fff93623000 -     0x7fff936f6ff7  com.apple.DiscRecording (7.0 - 7000.2.4) <49FD2D2F-4F2C-39B6-877B-6E3172577D18> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
   0x7fff936f7000 -     0x7fff936ffff7  libsystem_dnssd.dylib (379.27) <057906EA-206E-3C35-B43F-5D936FD0A84F> /usr/lib/system/libsystem_dnssd.dylib
   0x7fff938b2000 -     0x7fff938c1ff7  libxar.1.dylib (105) <370ED355-E516-311E-BAFD-D80633A84BE1> /usr/lib/libxar.1.dylib
   0x7fff938c2000 -     0x7fff93906fff  libcups.2.dylib (327) <9B3F3321-D2BC-3195-BF20-4008FC52A390> /usr/lib/libcups.2.dylib
   0x7fff93907000 -     0x7fff93921fff  com.apple.CoreMediaAuthoring (2.1 - 914) <CFA664F9-D5A7-3281-A12F-3ED8A98FD8C1> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
   0x7fff93922000 -     0x7fff939e7fff  com.apple.coreui (2.0 - 181) <CFCB6868-36AC-3734-ACEA-DF9CAB2B84F2> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
   0x7fff93a42000 -     0x7fff93a7afff  libtidy.A.dylib (15.10) <9009156B-84F5-3781-BFCB-B409B538CD18> /usr/lib/libtidy.A.dylib
   0x7fff93a7b000 -     0x7fff93ae8ff7  com.apple.framework.IOKit (2.0 - 755.9.7) <9B7C5E7A-3F7A-3E70-8179-4384992B84E0> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
   0x7fff93ae9000 -     0x7fff93b52fff  libstdc++.6.dylib (56) <EAA2B53E-EADE-39CF-A0EF-FB9D4940672A> /usr/lib/libstdc++.6.dylib
   0x7fff94b06000 -     0x7fff94b28ff7  com.apple.Kerberos (2.0 - 1) <C49B8820-34ED-39D7-A407-A3E854153556> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
   0x7fff94b29000 -     0x7fff94de4fff  com.apple.AddressBook.framework (7.0 - 1143) <EC55CF4B-4194-3163-B6E1-8C8D2712FBCF> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook

External Modification Summary:
 Calls made by other processes targeting this process:
   task_for_pid: 7
   thread_create: 0
   thread_set_state: 0
 Calls made by this process:
   task_for_pid: 0
   thread_create: 0
   thread_set_state: 0
 Calls made by all processes on this machine:
   task_for_pid: 27977
   thread_create: 0
   thread_set_state: 526

VM Region Summary:
ReadOnly portion of Libraries: Total=251.1M resident=115.2M(46%) swapped_out_or_unallocated=135.9M(54%)
Writable regions: Total=1.4G written=107.3M(7%) resident=229.9M(16%) swapped_out=25.3M(2%) unallocated=1.2G(84%)

REGION TYPE                        VIRTUAL
===========                        =======
ATS (font support)                   59.8M
CG image                              264K
CG raster data                       2048K
CG shared images                     1216K
CoreAnimation                        6740K
CoreServices                         2096K
IOKit                               102.3M
JS JIT generated code               256.0M
JS JIT generated code (reserved)    768.0M        reserved VM address space (unallocated)
JS VM register file                  4096K
JS garbage collector                 6528K
MALLOC                              181.2M
MALLOC guard page                      48K
Memory tag=242                         12K
Memory tag=251                         16K
OpenGL GLSL                          1024K
SQLite page cache                    2400K
STACK GUARD                          56.1M
Stack                                14.7M
VM_ALLOCATE                          16.9M
WebCore purgeable data               3148K
__DATA                               26.4M
__IMAGE                               528K
__LINKEDIT                           64.7M
__TEXT                              186.4M
__UNICODE                             544K
mapped file                         123.8M
shared memory                        16.9M
===========                        =======
TOTAL                                 1.9G
TOTAL, minus reserved VM space        1.1G

Model: MacBookPro6,2, BootROM MBP61.0057.B0F, 2 processors, Intel Core i7, 2.66 GHz, 4 GB, SMC 1.58f15
Graphics: Intel HD Graphics, Intel HD Graphics, Built-In, 288 MB
Graphics: NVIDIA GeForce GT 330M, NVIDIA GeForce GT 330M, PCIe, 512 MB
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1067 MHz, 0x802C, 0x31364A53463235363634485A2D3147314631
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1067 MHz, 0x802C, 0x31364A53463235363634485A2D3147314631
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x93), Broadcom BCM43xx 1.0 (5.106.98.81.20)
Bluetooth: Version 4.0.9f8 10405, 2 service, 18 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: INTEL SSDSC2CW180A3, 180.05 GB
Serial ATA Device: INTEL SSDSA2M160G2GC, 160.04 GB
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0xfd100000 / 2
USB Device: Built-in iSight, apple_vendor_id, 0x8507, 0xfd110000 / 4
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd120000 / 3
USB Device: hub_device, 0x0424  (SMSC), 0x2514, 0xfa100000 / 2
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0xfa110000 / 4
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8218, 0xfa113000 / 9
USB Device: Internal Memory Card Reader, apple_vendor_id, 0x8403, 0xfa130000 / 5
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0236, 0xfa120000 / 3
Comment 1 Tim Horton 2012-08-05 03:13:59 PDT
It looks to me like this is us trying to scroll a fixed-position renderer where style() is null in this part of scrollContentsFastPath:

for (FixedObjectSet::const_iterator it = m_fixedObjects->begin(); it != end; ++it) {
        RenderObject* renderer = *it;
        if (renderer->style()->position() != FixedPosition)
            continue;

It seems likely that this regressed in http://trac.webkit.org/changeset/121443, but I have not confirmed.

This crash is extremely easy to reproduce on release builds on pages with fixed position elements.
Comment 2 Tim Horton 2012-08-05 11:19:33 PDT
Actually, regressing the bug suggests it started in http://trac.webkit.org/changeset/124489 (the range is slightly large, but that's the only related fix I see).
Comment 3 Tim Horton 2012-08-05 13:15:20 PDT
*** Bug 93200 has been marked as a duplicate of this bug. ***
Comment 4 Radar WebKit Bug Importer 2012-08-05 13:21:53 PDT
<rdar://problem/12035066>
Comment 5 Beth Dakin 2012-08-06 12:36:30 PDT
I'm a bit torn about if I should fix the original bug in an entirely different way, or if I should keep the fix, but add another condition to the clause that I added to ScrollingCoordinator::setShouldUpdateScrollLayerPositionOnMainThread(). In the original fix, I just added:

    if (shouldUpdateScrollLayerPositionOnMainThread)
        updateMainFrameScrollPositionAndScrollLayerPosition();

But if we knew that we were mid-attach with the current fixed object, then we obviously wouldn't want to update the scroll position. It doesn't seem like there is currently any direct way to assess this though, so I would have to add something.
Comment 6 Beth Dakin 2012-08-06 16:12:03 PDT
Created attachment 156782 [details]
Patch
Comment 7 Beth Dakin 2012-08-06 16:24:14 PDT
Thanks Anders! Committed fix with http://trac.webkit.org/changeset/124811
Comment 8 Rakesh 2012-08-07 02:47:35 PDT
*** Bug 93279 has been marked as a duplicate of this bug. ***
Comment 9 Kevin M. Dean 2012-08-08 08:29:32 PDT
Search wish this fix would get released into the nightlies which haven't been updated in 4 days.